package com.example.pmtestsample;

import com.vaadin.ui.Alignment;
import com.vaadin.ui.Button;
import com.vaadin.ui.CustomComponent;
import com.vaadin.ui.FormLayout;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.TextField;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
public class DialogTest extends CustomComponent {

	protected Button btnSave;

	protected Button btnSaveAndClose;

	protected Button btnCancel;

	protected TextField tfName;

	protected TextField tfDescription;

	DialogTest() {
		initComponents();
		buildLayout();
	}

	public void buildLayout() {
		FormLayout center = new FormLayout();
		center.setSpacing(true);
		center.setWidth(100, Unit.PERCENTAGE);
		center.addComponent(tfName);
		center.addComponent(tfDescription);

		HorizontalLayout bottom = new HorizontalLayout();
		bottom.setSpacing(true);
		bottom.addComponent(btnSave);
		bottom.addComponent(btnSaveAndClose);
		bottom.addComponent(btnCancel);

		VerticalLayout layout = new VerticalLayout();
		layout.setMargin(true);
		layout.setSpacing(true);
		layout.addComponent(center);
		layout.addComponent(bottom);
		layout.setComponentAlignment(bottom, Alignment.BOTTOM_CENTER);
		layout.setSizeFull();

		setCompositionRoot(layout);
	}

	public void initComponents() {
		tfName = new TextField();
		tfName.setRequired(true);
		tfName.setWidth(100, Unit.PERCENTAGE);
		tfName.setNullRepresentation("");

		tfDescription = new TextField();
		tfDescription.setWidth(100, Unit.PERCENTAGE);
		tfDescription.setNullRepresentation("");

		btnSaveAndClose = new Button();
		btnSave = new Button();
		btnCancel = new Button();

	}
}
